Skip to main content
`Ctrl`+`K`

# PetscBTView

View the contents of a `PetscBT` (bit array) on a `PetscViewer`, one line per bit

## Synopsis

    PetscErrorCode PetscBTView(PetscCount m, const PetscBT bt, PetscViewer viewer)

Collective on `viewer`; No Fortran Support

## Input Parameters

- m - the number of bits in the array to print

- bt - the `PetscBT`

- viewer - the `PetscViewer` to print to, or `NULL` to use `PETSC_VIEWER_STDOUT_SELF`

## See Also

`PetscBT`, `PetscBTCreate()`, `PetscBTLookup()`, `PetscViewer`

## Level

developer

## Location

src/sys/classes/viewer/utils/btview.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages